org.apache.cassandra.auth

## Class AuthConfig

- java.lang.Object
- - org.apache.cassandra.auth.AuthConfig

    public final class AuthConfig
    extends java.lang.Object

Only purpose is to Initialize authentication/authorization via `applyAuth()`. This is in this separate class as it implicitly initializes schema stuff (via classes referenced in here).

### Constructor Summary

Constructors
Constructor and Description
`AuthConfig()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `applyAuth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthConfig

    public AuthConfig()

### Method Detail

#### applyAuth

    public static void applyAuth()